#ifndef FLATTREE_H
#define FLATTREE_H

#include "Tree.h"

class FlatTree : public Tree
{
public:
    FlatTree();
    virtual QString
    getLabel();

protected:
    virtual TreeItem*
    createTree();

    virtual QString
    getItemName( cube::Vertex* vertex );

    virtual void
    computeBasicValues( const QList<Tree*>& leftTrees,
                        TreeItem*       top );

private:

    void
    computeValue( cube::list_of_metrics& mv,
                  TreeItem*          item );
    void
    computeValue( cube::list_of_metrics&      mv,
                  cube::list_of_sysresources& sv,
                  TreeItem*               item );

    bool
    hasCallee( cube::Vertex* region );
};

#endif // FLATTREE_H
